Bug 428061 - obm-xdg doesn't work - missing config
obm-xdg doesn't work - missing config
Product: Fedora
Classification: Fedora
Component: obmenu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-08 17:53 EST by Jonathan Underwood
Modified: 2008-11-26 06:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 06:28:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2008-01-08 17:53:37 EST
Description of problem:
$ obm-xdg 
Traceback (most recent call last):
  File "/usr/bin/obm-xdg", line 443, in <module>
  File "/usr/bin/obm-xdg", line 184, in parseFile
  File "/usr/bin/obm-xdg", line 136, in parseXml
  File "/usr/bin/obm-xdg", line 180, in parseFile
    f = open(filename)
IOError: [Errno 2] No such file or directory:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.obm-xdg at the commandline
Actual results:
As above

Expected results:
xml for an xdg menu is produced.

Additional info:
Comment 1 Miroslav Lichvar 2008-01-09 11:27:14 EST
Unfortunately, even with this bug fixed (by ignoring missing files when merging)
obm-xdg doesn't seem to work correctly with menu files we have in Fedora.
Comment 2 Bug Zapper 2008-11-26 04:21:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Jonathan Underwood 2008-11-26 06:28:02 EST
I no longer use this application, so no idea if it works or not. Will close as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.